- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# VariableValues Class Reference

The VariableValues Class. More...

`#include <OSResult.h>`

Collaboration diagram for VariableValues:

[legend]
List of all members.

## Public Member Functions
| VariableValues ()
| Default constructor.
| ~VariableValues ()
| Class destructor.
bool | IsEqual (VariableValues *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
| VariableValues ()
| Default constructor.
| ~VariableValues ()
| Class destructor.
## Public Attributes
int | numberOfVar
| the number of variable values that are in the solution
VarValue ** | var
| a vector of VarValue objects, there will be one for each variable in the solution
std::vector< VarValue * > | var
| a vector of VarValue objects, there will be one for each variable in the solution

## Detailed Description

The VariableValues Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class that contains values for all the variables

Definition at line 882 of file OSResult.h.

## Constructor & Destructor Documentation

VariableValues::VariableValues | ( |  | ) |

Default constructor.

Definition at line 403 of file OSResult.cpp.

VariableValues::~VariableValues | ( |  | ) |

Class destructor.

Definition at line 413 of file OSResult.cpp.

References numberOfVar, and var.

VariableValues::VariableValues | ( |  | ) |

Default constructor.

VariableValues::~VariableValues | ( |  | ) |

Class destructor.

## Member Function Documentation

bool VariableValues::IsEqual | ( | VariableValues * | that | ) |

A function to check for the equality of two objects.

Definition at line 6185 of file OSResult.cpp.

bool VariableValues::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 7810 of file OSResult.cpp.

References VarValue::setRandom(), and var.

## Member Data Documentation

int VariableValues::numberOfVar

the number of variable values that are in the solution

Definition at line 887 of file OSResult.h.

Referenced by OSResult::setPrimalVariableValues(), OSrL2Gams::writeSolution(), and ~VariableValues().

VarValue** VariableValues::var

a vector of VarValue objects, there will be one for each variable in the solution

Definition at line 892 of file OSResult.h.

Referenced by OSResult::setPrimalVariableValues(), setRandom(), OSrL2Gams::writeSolution(), and ~VariableValues().

std::vector<VarValue*> VariableValues::var

a vector of VarValue objects, there will be one for each variable in the solution

Definition at line 465 of file OSResult.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.cpp